### Function

# GLib SList last

#### Declaration

    GSList*
    g_slist_last (
      GSList* list
    )

#### Description

Gets the last element in a `GSList`.

This function iterates over the whole list.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The last element in the `GSList`, or `NULL` if the `GSList` has no elements.

The data is owned by the called function.